textures/tequila/teqskytrny2
{
	qer_editorimage textures/skies/xnight2_up.tga
//	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms env/xnight2 - -
	
	{
		map textures/tequila/teqsky05.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 1 1
	}
}

textures/tequila/hellfog_teqtrny2
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	fogparms ( .5 .12 .1 ) 300

	
	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .03 -.03
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .02 -.02
	}
}

textures/tequila/teqlgt05
{ 
	surfaceparm nomarks 
	q3map_surfacelight 2000
	qer_editorimage textures/tequila/teqlgt08a.tga
	q3map_lightimage textures/tequila/teqlgt08b.tga
	 
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/tequila/teqlgt08a.tga 
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{ 
		map textures/tequila/teqlgt08b.tga 
		rgbGen wave sin 0.5 0.5 1 1 
		blendfunc GL_ONE GL_ONE 
	} 
}

textures/tequila/than_trlight05_teqtrny2
{
	qer_editorimage textures/tequila/than_trlight05.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	q3map_lightimage textures/tequila/than_trlight05_glow.tga
	{
		map textures/tequila/than_trlight05.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tequila/than_trlight05_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tequila/teqlgt06
{
        qer_editorimage textures/base_light/ceil1_4.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 12000
	q3map_lightimage textures/base_light/ceil1_4.blend.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_4.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tequila/parisi_light_teqtrny2
{
        qer_editorimage textures/tequila/parisi_light_lightpole.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 4000
	q3map_lightimage textures/tequila/parisi_light_lightpole.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tequila/parisi_light_lightpole.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tequila/parisi_light_lightpole.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tequila/teqlgt07
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 8000
	q3map_lightimage textures/base_light/ceil1_38.blend.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tequila/teq_q1_teleport
{
	qer_editorimage textures/tequila/q1_teleport.tga
	q3map_surfacelight 0
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	tesssize 128
	cull disable
	
        {
		map textures/tequila/q1_teleport.tga
		rgbGen identity
		tcMod turb 0 .5 0 .3
		tcMod scale 0.5 0.5
	} 
}

textures/tequila/teqbounce1
{

	surfaceparm nodamage
	q3map_lightimage textures/tequila/teq_jumppadsmall.tga	
	q3map_surfacelight 400
	qer_editorimage textures/tequila/teqbounce01.tga

	
	{
		map textures/tequila/teqbounce01.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/tequila/teq_bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/tequila/teq_jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}
